#ifndef _renderPassCompute

#define _renderPassCompute


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "../mesh.h"

#include "../vector.h"

#include "../block.h"

#include "stdbool.h"

#include "../sampler2D.h"

#include "../int.h"

#include "../program.h"

#include "../shader.h"

#include "../vector2.h"

#include "../event.h"

#include "./renderPass.h"


typedef struct compute{

	struct program * program;

	int active;


} compute;

void compute_prepare( compute * this );

void compute_render( compute * this );

compute compute_new(  );

compute * compute_newPointer(  );

#endif


typedef struct compute compute;



